## vdr-plugin-skinenigmang 0.0.5

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.16 2007/06/25 10:44:11 amair Exp $

# If you are using the epgsearch plugin and want to see the number of
# timer conflicts in the main menu's info area.
#SKINENIGMA_HAVE_EPGSEARCH = 1

# This turns usage of logos in the main menu complete. This might also
# improve the performance of the menus. EXPERIMENTAL!!!
#SKINENIGMA_NO_MENULOGO = 1

# Debugging on/off 
#SKINENIGMA_DEBUG = 1

# If you have installed ImageMagick and want to use
# images in event's and recording's details.
#HAVE_IMAGEMAGICK = 1

# If you use the mailbox plugin this will include support for it.
# NOTE: this can also be defined if you don't know if the mailbox
# plugin will be used because it has no compile time requirements.
SKINENIGMA_USE_PLUGIN_MAILBOX = 1

# EXPERIMENTAL!!! NOT YET OFFICIALY SUPPORTED!!!
#
# USE AT OWN RISC!!!
#SKINENIGMA_USE_PLUGIN_AVARDS = 1

# Disable any code that is used for scrolling or blinking text.
# NOTE: this is only useful if you want to save some bytes because you
# can disable them in the setup too.
#DISABLE_ANIMATED_TEXT = 1

# Set the descriptions for fonts you've patched in VDR. These fonts then
# can be selected in EnigmaNG setup.
#SKINENIGMA_FONTS = "\"Test Font\", \"Test2 Font\""

# If you have installed FreeType2 and want to use TrueTypeFonts.
#HAVE_FREETYPE = 1

# Strip debug symbols?  Set eg. to /bin/true if not
#STRIP = strip
STRIP = /bin/true

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = skinenigmang

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:
#TODO
CLEAR_BUG_WORKAROUND = 1
-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

ifdef SKINENIGMA_HAVE_EPGSEARCH
DEFINES += -DSKINENIGMA_HAVE_EPGSEARCH
endif

ifdef SKINENIGMA_DEBUG
DEFINES += -DDEBUG
endif

ifdef SKINENIGMA_NO_MENULOGO
DEFINES += -DSKINENIGMA_NO_MENULOGO
endif

ifdef SKINENIGMA_USE_PLUGIN_MAILBOX
DEFINES += -DUSE_PLUGIN_MAILBOX
endif

ifdef SKINENIGMA_USE_PLUGIN_AVARDS
DEFINES += -DUSE_PLUGIN_AVARDS
endif

ifdef HAVE_IMAGEMAGICK
DEFINES += -DHAVE_IMAGEMAGICK
endif
DEFINES += -DRECORDING_COVER='"Cover-Enigma"'

ifdef SKINENIGMA_DISABLE_ANIMATED_TEXT
DEFINES += -DDISABLE_ANIMATED_TEXT
endif

ifdef CLEAR_BUG_WORKAROUND
DEFINES += -DCLEAR_BUG_WORKAROUND
endif

DEFINES += -DSKINENIGMA_FONTS=$(SKINENIGMA_FONTS)

### The object files (add further files here):

OBJS = $(PLUGIN).o enigma.o config.o logo.o i18n.o tools.o status.o texteffects.o setup.o

ifdef HAVE_IMAGEMAGICK
OBJS += bitmap.o
LIBS += -lMagick++
endif

ifdef HAVE_FREETYPE
	ifneq ($(shell which freetype-config),)
		INCLUDES += $(shell freetype-config --cflags)
		LIBS += $(shell freetype-config --libs)
	else
		INCLUDES += -I/usr/include/freetype -I/usr/local/include/freetype
		LIBS += -lfreetype
	endif
	DEFINES += -DHAVE_FREETYPE
	OBJS += font.o
endif

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
ifndef SKINENIGMA_DEBUG
	@$(STRIP) $@
endif
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz --exclude CVS -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-skinenigmang 0.0.6

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile,v 1.16 2007/06/25 10:44:11 amair Exp $
-
-# If you are using the epgsearch plugin and want to see the number of
-# timer conflicts in the main menu's info area.
-#SKINENIGMA_HAVE_EPGSEARCH = 1
+# $Id: Makefile,v 1.24 2008/03/09 08:31:30 amair Exp $
 
 # This turns usage of logos in the main menu complete. This might also
 # improve the performance of the menus. EXPERIMENTAL!!!
@@ -18,23 +14,26 @@
 # images in event's and recording's details.
 #HAVE_IMAGEMAGICK = 1
 
+# If you are using the epgsearch plugin and want to see the number of
+# timer conflicts in the main menu's info area.
+SKINENIGMA_USE_PLUGIN_EPGSEARCH = 1
+
 # If you use the mailbox plugin this will include support for it.
-# NOTE: this can also be defined if you don't know if the mailbox
-# plugin will be used because it has no compile time requirements.
 SKINENIGMA_USE_PLUGIN_MAILBOX = 1
 
-# EXPERIMENTAL!!! NOT YET OFFICIALY SUPPORTED!!!
-#
-# USE AT OWN RISC!!!
-#SKINENIGMA_USE_PLUGIN_AVARDS = 1
+# Include code to support the Avards plugin:
+#  - Dynamic OSD size depending on current WSS mode.
+#  - Display current WSS mode in channel info and replay OSDs.
+SKINENIGMA_USE_PLUGIN_AVARDS = 1
 
 # Disable any code that is used for scrolling or blinking text.
 # NOTE: this is only useful if you want to save some bytes because you
 # can disable them in the setup too.
-#DISABLE_ANIMATED_TEXT = 1
+#SKINENIGMA_DISABLE_ANIMATED_TEXT = 1
 
 # Set the descriptions for fonts you've patched in VDR. These fonts then
 # can be selected in EnigmaNG setup.
+# This is NOT the path to TrueType fonts!
 #SKINENIGMA_FONTS = "\"Test Font\", \"Test2 Font\""
 
 # If you have installed FreeType2 and want to use TrueTypeFonts.
@@ -68,11 +67,15 @@
 ### Allow user defined options to overwrite defaults:
 #TODO
 CLEAR_BUG_WORKAROUND = 1
+ENABLE_COPYFONT = 1
 -include $(VDRDIR)/Make.config
 
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+
+### Test whether VDR has locale support
+VDRLOCALE = $(shell grep '^LOCALEDIR' $(VDRDIR)/Makefile)
 
 ### The name of the distribution archive:
 
@@ -85,8 +88,13 @@
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
+ifdef SKINENIGMA_USE_PLUGIN_EPGSEARCH 
+DEFINES += -DUSE_PLUGIN_EPGSEARCH
+else
+# for backwards compatibility only
 ifdef SKINENIGMA_HAVE_EPGSEARCH
-DEFINES += -DSKINENIGMA_HAVE_EPGSEARCH
+DEFINES += -DUSE_PLUGIN_EPGSEARCH
+endif
 endif
 
 ifdef SKINENIGMA_DEBUG
@@ -116,6 +124,10 @@
 
 ifdef CLEAR_BUG_WORKAROUND
 DEFINES += -DCLEAR_BUG_WORKAROUND
+endif
+
+ifdef ENABLE_COPYFONT
+DEFINES += -DENABLE_COPYFONT
 endif
 
 DEFINES += -DSKINENIGMA_FONTS=$(SKINENIGMA_FONTS)
@@ -141,6 +153,10 @@
 	OBJS += font.o
 endif
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
+
 ### Implicit rules:
 
 %.o: %.c
@@ -151,13 +167,58 @@
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(subst i18n.c,,$(OBJS:%.o=%.c)) > $@
 
 -include $(DEPFILE)
 
+### Internationalization (I18N):
+
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
+I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+I18Nvdrmo = vdr-$(PLUGIN).mo
+ifeq ($(strip $(APIVERSION)),1.5.7)
+  I18Nvdrmo = $(PLUGIN).mo
+endif
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(subst i18n.c,,$(wildcard *.c))
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<andreas@vdr-developer.org>' -o $@ $(subst i18n.c,,$(wildcard *.c))
+
+$(I18Npo): $(I18Npot)
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+
+ifneq ($(strip $(VDRLOCALE)),)
+### do gettext based i18n stuff
+
+i18n: $(I18Nmo)
+	@mkdir -p $(LOCALEDIR)
+	for i in $(I18Ndirs); do\
+	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
+	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/$(I18Nvdrmo);\
+	    done
+
+i18n.c: i18n-template.c
+	@cp i18n-template.c i18n.c
+
+else ### do i18n.c based i18n stuff
+
+i18n:
+	@### nothing to do
+
+#i18n compatibility generator:
+i18n.c: i18n-template.c buildtools/po2i18n.pl $(I18Npo)
+	buildtools/po2i18n.pl < i18n-template.c > i18n.c
+
+endif
+
+
 ### Targets:
-
-all: libvdr-$(PLUGIN).so
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
@@ -166,13 +227,13 @@
 endif
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
-dist: clean
+dist: clean i18n.c
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
-	@tar czf $(PACKAGE).tgz --exclude CVS -C $(TMPDIR) $(ARCHIVE)
+	@tar czf $(PACKAGE).tgz --exclude CVS --exclude '.#*' --exclude '*.bak' -C $(TMPDIR) $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
-	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
+	@-rm -f $(OBJS) $(DEPFILE) i18n.c *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

## vdr-plugin-skinenigmang 0.1.0

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.31 2009/04/06 09:46:27 amair Exp $

# This turns usage of logos in the main menu complete. This might also
# improve the performance of the menus. EXPERIMENTAL!!!
#SKINENIGMA_NO_MENULOGO = 1

# Debugging on/off 
#SKINENIGMA_DEBUG = 1

# If you have installed ImageMagick and want to use
# images in event's and recording's details.
#HAVE_IMAGEMAGICK = 1

# If you are using the epgsearch plugin and want to see the number of
# timer conflicts in the main menu's info area.
SKINENIGMA_USE_PLUGIN_EPGSEARCH = 1

# If you use the mailbox plugin this will include support for it.
SKINENIGMA_USE_PLUGIN_MAILBOX = 1

# Include code to support the Avards plugin:
#  - Dynamic OSD size depending on current WSS mode.
#  - Display current WSS mode in channel info and replay OSDs.
SKINENIGMA_USE_PLUGIN_AVARDS = 1

# Disable code to show signal strength and signal-to-noise ratio
# in channel info OSD.
#SKINENIGMA_DISABLE_SIGNALINFO = 1

# Strip debug symbols?  Set eg. to /bin/true if not
#STRIP = strip
STRIP = /bin/true

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = skinenigmang

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:
#TODO
CLEAR_BUG_WORKAROUND = 1
-include $(VDRDIR)/Make.config

#CXXFLAGS += -Wall -W -Wconversion -Wshadow -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wwrite-strings
### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### Test whether VDR has locale support
VDRLOCALE = $(shell grep '^LOCALEDIR' $(VDRDIR)/Makefile)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

ifdef SKINENIGMA_USE_PLUGIN_EPGSEARCH 
DEFINES += -DUSE_PLUGIN_EPGSEARCH
else
# for backwards compatibility only
ifdef SKINENIGMA_HAVE_EPGSEARCH
DEFINES += -DUSE_PLUGIN_EPGSEARCH
endif
endif

ifdef SKINENIGMA_DEBUG
DEFINES += -DDEBUG
endif

ifdef SKINENIGMA_NO_MENULOGO
DEFINES += -DSKINENIGMA_NO_MENULOGO
endif

ifdef SKINENIGMA_USE_PLUGIN_MAILBOX
DEFINES += -DUSE_PLUGIN_MAILBOX
endif

ifdef SKINENIGMA_USE_PLUGIN_AVARDS
DEFINES += -DUSE_PLUGIN_AVARDS
endif

ifdef SKINENIGMA_DISABLE_SIGNALINFO
DEFINES += -DDISABLE_SIGNALINFO
endif

ifdef HAVE_IMAGEMAGICK
DEFINES += -DHAVE_IMAGEMAGICK
endif
DEFINES += -DRECORDING_COVER='"Cover-Enigma"'

ifdef CLEAR_BUG_WORKAROUND
DEFINES += -DCLEAR_BUG_WORKAROUND
endif

### The object files (add further files here):

OBJS = $(PLUGIN).o enigma.o config.o logo.o tools.o status.o texteffects.o setup.o font.o

ifdef HAVE_IMAGEMAGICK
OBJS += bitmap.o
LIBS += -lMagick++
INCLUDES += -I/usr/include/ImageMagick -I/usr/local/include/ImageMagick
endif

ifneq ($(shell which freetype-config),)
	INCLUDES += $(shell freetype-config --cflags)
	LIBS += $(shell freetype-config --libs)
else
	INCLUDES += -I/usr/include/freetype -I/usr/local/include/freetype
	LIBS += -lfreetype
endif

### The main target:

all: libvdr-$(PLUGIN).so i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(subst i18n.c,,$(OBJS:%.o=%.c)) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<andreas@vdr-developer.org>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@

.PHONY: i18n
i18n: $(I18Nmsgs) $(I18Npot)

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
ifndef SKINENIGMA_DEBUG
	@$(STRIP) $@
endif
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz --exclude CVS --exclude '.#*' --exclude '*.bak' -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

## vdr-plugin-skinenigmang 0.1.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile,v 1.31 2009/04/06 09:46:27 amair Exp $
+# $Id: Makefile,v 1.34 2010/03/08 14:31:57 amair Exp $
 
 # This turns usage of logos in the main menu complete. This might also
 # improve the performance of the menus. EXPERIMENTAL!!!
@@ -47,7 +47,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -55,9 +55,11 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+-include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
-#TODO
-CLEAR_BUG_WORKAROUND = 1
 -include $(VDRDIR)/Make.config
 
 #CXXFLAGS += -Wall -W -Wconversion -Wshadow -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wwrite-strings
@@ -113,6 +115,10 @@
 endif
 DEFINES += -DRECORDING_COVER='"Cover-Enigma"'
 
+# This is a simple workaround if one wants to use
+# softdevice plugin without a single 8bpp area,
+# because this combination shows some false colored
+# areas in menu OSD.
 ifdef CLEAR_BUG_WORKAROUND
 DEFINES += -DCLEAR_BUG_WORKAROUND
 endif
@@ -168,7 +174,7 @@
 	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<andreas@vdr-developer.org>' -o $@ $^
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	msgmerge -U --no-wrap --no-location --backup=none --no-fuzzy-matching -q $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.1-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:34 +0100

vdr-plugin-skinenigmang (0.1.1-6) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:11:11 +0200

vdr-plugin-skinenigmang (0.1.1-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:32 +0200

vdr-plugin-skinenigmang (0.1.1-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2
  * Enable Image Magick support (Closes: #625583)

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:34 +0200

vdr-plugin-skinenigmang (0.1.1-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:05 +0200

vdr-plugin-skinenigmang (0.1.1-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 17:27:36 +0200

vdr-plugin-skinenigmang (0.1.1-1) unstable; urgency=low

  * New upstream release
  * source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Thu, 06 May 2010 19:09:09 +0200

vdr-plugin-skinenigmang (0.1.0-3) unstable; urgency=low

  [ Thomas Schmidt ]
  * Standards-Version: 3.8.4
  * Updated debian/copyright

  [ Tobias Grimm]
  * Build-depend on vdr-dev >= 1.6.0-16

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 15:31:40 +0200

vdr-plugin-skinenigmang (0.1.0-2) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552655)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:12:31 +0100

vdr-plugin-skinenigmang (0.1.0-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Build-depend on libmagick++-dev instead of libmagick++9-dev (Closes: 524592)

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 May 2009 22:37:14 +0200

vdr-plugin-skinenigmang (0.0.6-5) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright to our new format
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:11:05 +0200

vdr-plugin-skinenigmang (0.0.6-4) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:13:38 +0200

vdr-plugin-skinenigmang (0.0.6-3) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:55:49 +0200

vdr-plugin-skinenigmang (0.0.6-2) experimental; urgency=low

  [ Thomas Schmidt ]
  * Do not ignore errors in clean target

  [ Tobias Grimm ]
  * Updated debian/watch

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 11 May 2008 13:58:56 +0200

vdr-plugin-skinenigmang (0.0.6-1) experimental; urgency=low

  [ Thomas Schmidt ]
  * New upstream release
  * Build-Depend on vdr-dev (>=1.6.0)
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 13:48:13 +0200

vdr-plugin-skinenigmang (0.0.5-10) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:55 +0100

vdr-plugin-skinenigmang (0.0.5-9) unstable; urgency=low

  * Release for vdrdevel 1.5.13

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:31:38 +0100

vdr-plugin-skinenigmang (0.0.5-8) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:29 +0100

vdr-plugin-skinenigmang (0.0.5-7) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:21 +0100

vdr-plugin-skinenigmang (0.0.5-6) unstable; urgency=low

  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:51:01 +0200

vdr-plugin-skinenigmang (0.0.5-5) unstable; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:12 +0200

vdr-plugin-skinenigmang (0.0.5-4) unstable; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:09:09 +0200

vdr-plugin-skinenigmang (0.0.5-3) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:22 +0200

vdr-plugin-skinenigmang (0.0.5-2) unstable; urgency=low

  * Build the plugin with HAVE_IMAGEMAGICK=1
  * Build-Depend on libmagick++9-dev
  * Setup correct path for epgimages in plugin.skinenigmang.conf

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 16 Jul 2007 14:23:32 +0200

vdr-plugin-skinenigmang (0.0.5-1) unstable; urgency=low

  * Initial release (Closes: #432783)

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 12 Jul 2007 23:27:41 +0200

=== debian/control ===
Source: vdr-plugin-skinenigmang
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.22), libmagick++-dev
Standards-Version: 3.9.2
Homepage: http://andreas.vdr-developer.org/enigmang
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-skinenigmang.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-skinenigmang.git

Package: vdr-plugin-skinenigmang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: vdr-enigmang-icons
Description: Skin plugin for VDR
 "EnigmaNG" is a standalone skin based on the "Enigma" text2skin addon.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale HAVE_IMAGEMAGICK=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

## vdr-plugin-skinenigmang 0.1.2+git20120628

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,8 @@
 # Debugging on/off 
 #SKINENIGMA_DEBUG = 1
 
-# If you have installed ImageMagick and want to use
-# images in event's and recording's details.
+# If you have installed ImageMagick and want to use images in events'
+# and recordings' details.  Set to GRAPHICS to use GraphicsMagick.
 #HAVE_IMAGEMAGICK = 1
 
 # If you are using the epgsearch plugin and want to see the number of
@@ -129,8 +129,13 @@
 
 ifdef HAVE_IMAGEMAGICK
 OBJS += bitmap.o
+ifneq ($(HAVE_IMAGEMAGICK), GRAPHICS)
 LIBS += -lMagick++
 INCLUDES += -I/usr/include/ImageMagick -I/usr/local/include/ImageMagick
+else
+LIBS += $(shell pkg-config --libs GraphicsMagick++)
+INCLUDES += $(shell pkg-config --cflags GraphicsMagick++)
+endif
 endif
 
 ifneq ($(shell which freetype-config),)

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20120628-1) unstable; urgency=low

  * New Upstream Snapshot (commit 44e1d4a)
  * Updated debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Fri, 29 Jun 2012 00:18:10 +0200

vdr-plugin-skinenigmang (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:25:41 +0200

vdr-plugin-skinenigmang (0.1.1-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:13 +0200

vdr-plugin-skinenigmang (0.1.1-9) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:35:53 +0200

vdr-plugin-skinenigmang (0.1.1-8) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.22), libmagick++-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), libmagick++-dev
+Standards-Version: 3.9.3
 Homepage: http://andreas.vdr-developer.org/enigmang
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-skinenigmang.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-skinenigmang.git

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,6 @@
 override_dh_gencontrol:
 	sh /usr/share/vdr-dev/dependencies.sh
 	dh_gencontrol
+
+get-vcs-snapshot:
+	sh debian/get-vcs-snapshot.sh

## vdr-plugin-skinenigmang 0.1.2+git20130305

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20130305-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:17 +0200

vdr-plugin-skinenigmang (0.1.2+git20130305-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:23 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:44:38 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:30:18 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-1) unstable; urgency=low

  * New Upstream Snapshot (commit 0147c0e)
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 21:53:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), libmagick++-dev
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config, libmagick++-dev
 Standards-Version: 3.9.3
 Homepage: http://andreas.vdr-developer.org/enigmang
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-skinenigmang.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale HAVE_IMAGEMAGICK=1
+CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
 
 %:
 	dh $@

## vdr-plugin-skinenigmang 0.1.2+git20150212

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20150212-3) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:17:50 +0100

vdr-plugin-skinenigmang (0.1.2+git20150212-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Fri, 06 Mar 2015 18:35:11 +0100

vdr-plugin-skinenigmang (0.1.2+git20150212-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 73b3116)

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 02:21:35 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-6) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 13:12:15 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-5.1) unstable; urgency=medium

  * NMU
  * Fix FTBFS with newer imagemagick (Closes: #760989).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 09 Sep 2014 20:32:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config, libmagick++-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config, libmagick++-dev
+Standards-Version: 3.9.6
 Homepage: http://andreas.vdr-developer.org/enigmang
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-skinenigmang.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-skinenigmang.git

## vdr-plugin-skinenigmang 0.1.2+git20180128

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20180128-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS without freetype-config. (Closes: #915353)

 -- Adrian Bunk <bunk@debian.org>  Mon, 31 Dec 2018 18:17:16 +0200

vdr-plugin-skinenigmang (0.1.2+git20180128-2) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:43:46 +0200

vdr-plugin-skinenigmang (0.1.2+git20180128-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 3362ab0) (Closes: #872494)
  * Added VDR 2.3.2 compatibility patch provided by Frank Neuman
  * Standards-Version: 4.1.2
  * Replaced priority extra with optional

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jan 2018 16:47:31 +0100

=== debian/control ===
Source: vdr-plugin-skinenigmang
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libmagick++-dev
Standards-Version: 4.1.2
Homepage: http://andreas.vdr-developer.org/enigmang
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang

Package: vdr-plugin-skinenigmang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: vdr-enigmang-icons
Description: Skin plugin for VDR
 "EnigmaNG" is a standalone skin based on the "Enigma" text2skin addon.

## vdr-plugin-skinenigmang 0.1.2+git20190720

=== Makefile ===
--- 
+++ 
@@ -176,7 +176,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<andreas@vdr-developer.org>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<andreas@vdr-developer.org>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none --no-fuzzy-matching -q $@ $<
@@ -192,7 +192,7 @@
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
 ifndef SKINENIGMA_DEBUG
 	@$(STRIP) $@
 endif

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20190720-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:03 +0100

vdr-plugin-skinenigmang (0.1.2+git20190720-2) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:52:42 +0100

vdr-plugin-skinenigmang (0.1.2+git20190720-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 995b108)
  * Dropped vdr-plugin-skinenigma_min_max_from_stl.patch
  * Use pkg-config for freetype

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 06:00:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libmagick++-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1
 Homepage: http://andreas.vdr-developer.org/enigmang
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
 
 %:
-	dh $@
+	dh $@ --with vdrplugin
 
 override_dh_auto_build:
 	dh_auto_build -- all $(MAKE_OPTIONS)
@@ -16,9 +16,5 @@
 	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
 	rm -rf locale libvdr-*.so.*
 
-override_dh_gencontrol:
-	sh /usr/share/vdr-dev/dependencies.sh
-	dh_gencontrol
-
 get-vcs-snapshot:
 	sh debian/get-vcs-snapshot.sh

=== debian/watch ===
version=2
http://andreas.vdr-developer.org/enigmang/download.html \
  .*/vdr-skinenigmang-(.*).tgz

## vdr-plugin-skinenigmang 0.1.5

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.34 2010/03/08 14:31:57 amair Exp $

# This turns usage of logos in the main menu complete. This might also
# improve the performance of the menus. EXPERIMENTAL!!!
#SKINENIGMA_NO_MENULOGO = 1

# Debugging on/off
#SKINENIGMA_DEBUG = 1

# If you have installed ImageMagick and want to use images in events'
# and recordings' details.  Set to GRAPHICS to use GraphicsMagick.
#HAVE_IMAGEMAGICK = 1

# If you are using the epgsearch plugin and want to see the number of
# timer conflicts in the main menu's info area.
SKINENIGMA_USE_PLUGIN_EPGSEARCH = 1

# If you use the mailbox plugin this will include support for it.
SKINENIGMA_USE_PLUGIN_MAILBOX = 1

# Include code to support the Avards plugin:
#  - Dynamic OSD size depending on current WSS mode.
#  - Display current WSS mode in channel info and replay OSDs.
SKINENIGMA_USE_PLUGIN_AVARDS = 1

# Disable code to show signal strength and signal-to-noise ratio
# in channel info OSD.
#SKINENIGMA_DISABLE_SIGNALINFO = 1

# Strip debug symbols?  Set eg. to /bin/true if not
#STRIP = strip
STRIP = /bin/true

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = skinenigmang

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))

LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
CONFIGDIR = $(call PKGCFG,configdir)

TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags) -fPIC

CXXFLAGS += -Wno-unused-result

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=
#INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

ifdef SKINENIGMA_USE_PLUGIN_EPGSEARCH
   DEFINES += -DUSE_PLUGIN_EPGSEARCH
else
# for backwards compatibility only
   ifdef SKINENIGMA_HAVE_EPGSEARCH
      DEFINES += -DUSE_PLUGIN_EPGSEARCH
   endif
endif

ifdef SKINENIGMA_DEBUG
   DEFINES += -DDEBUG
endif

ifdef SKINENIGMA_NO_MENULOGO
   DEFINES += -DSKINENIGMA_NO_MENULOGO
endif

ifdef SKINENIGMA_USE_PLUGIN_MAILBOX
   DEFINES += -DUSE_PLUGIN_MAILBOX
endif

ifdef SKINENIGMA_USE_PLUGIN_AVARDS
   DEFINES += -DUSE_PLUGIN_AVARDS
endif

ifdef SKINENIGMA_DISABLE_SIGNALINFO
   DEFINES += -DDISABLE_SIGNALINFO
endif

ifdef HAVE_IMAGEMAGICK
   DEFINES += -DHAVE_IMAGEMAGICK
endif

DEFINES += -DRECORDING_COVER='"Cover-Enigma"'

# This is a simple workaround if one wants to use
# softdevice plugin without a single 8bpp area,
# because this combination shows some false colored
# areas in menu OSD.

ifdef CLEAR_BUG_WORKAROUND
   DEFINES += -DCLEAR_BUG_WORKAROUND
endif

### The object files (add further files here):

OBJS = $(PLUGIN).o enigma.o config.o logo.o tools.o status.o texteffects.o setup.o font.o

ifdef HAVE_IMAGEMAGICK
   OBJS += bitmap.o
ifneq ($(HAVE_IMAGEMAGICK), GRAPHICS)
   LIBS += -lMagick++
   INCLUDES += -I/usr/include/ImageMagick -I/usr/local/include/ImageMagick
else
   LIBS += $(shell pkg-config --libs GraphicsMagick++)
   INCLUDES += $(shell pkg-config --cflags GraphicsMagick++)
endif
endif

INCLUDES += $(shell pkg-config freetype2 --cflags)
LIBS += $(shell pkg-config freetype2 --libs)

### The main target:

all: $(SOFILE) i18n


### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(subst i18n.c,,$(OBJS:%.o=%.c)) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c *.h)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<vdr@jwendel.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
ifndef SKINENIGMA_DEBUG
	@$(STRIP) $@
endif

install-lib: $(SOFILE)
	@install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz --exclude CVS --exclude '.#*' --exclude '*.bak' -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.5-1) unstable; urgency=medium

  * change to github repo in watch file
  * New upstream version 0.1.5
  * add myself to upoaders
  * replace build-depends pkg-config with pkgconf
  * update patches
  * build with Graphicsmagick (closes: #1079336)
  * fix package build/install

 -- Christoph Martin <martin@uni-mainz.de>  Sat, 08 Feb 2025 13:27:29 +0100

vdr-plugin-skinenigmang (0.1.2+git20190720-4) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 21:08:19 +0100

vdr-plugin-skinenigmang (0.1.2+git20190720-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use a triplet-prefixed pkg-config. (Closes: #932933)

  [ Tobias Grimm ]
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 18:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libmagick++-dev
-Standards-Version: 4.4.1
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf, libgraphicsmagick++1-dev
+Standards-Version: 4.6.0
 Homepage: http://andreas.vdr-developer.org/enigmang
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale HAVE_IMAGEMAGICK=1
-CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
+-include /usr/share/dpkg/buildtools.mk
+PKG_CONFIG ?= pkg-config
+MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale HAVE_IMAGEMAGICK=GRAPHICS
+CXXFLAGS += $(shell $(PKG_CONFIG) vdr --variable=cxxflags)
 
 %:
 	dh $@ --with vdrplugin

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdr-plugin-skinenigmang-$1\.tar\.gz/ \
  https://github.com/vdr-projects/vdr-plugin-skinenigmang/tags .*/v?(\d\S+)\.tar\.gz
